
; FASM SOURCE FILE
; http://flatassembler.net

; skyDSuiteDVB
; B2C2 DVB Monitor
; main project file (PE DLL format)

; written by @L.CHEMIST (Andrey A. Meshkov)
; maalchemist@gmail.com
; maa-mail@yandex.ru

skyDSuiteDVB:

; ------------------------------------------------------------------------------

  RS_Description EQU 'B2C2 DVB Monitor (FASM)'
  RS_Version	 EQU '1.0.0.3'
  RS_Filename	 EQU 'skyDSuiteDVB.DLL'
  RS_Company	 EQU 'AL-CHEMIST GUILD'
  RS_Copyright	 EQU 'Copyright  2000-3000 AL-CHEMIST GUILD'

  RS_WWW	 EQU 'http://maalchemist.narod.ru'
  RS_Email	 EQU 'maalchemist@gmail.com'

  ; WebMoney
  RS_WMR	 EQU 'R388235483201'
  RS_WME	 EQU 'E038486814864'
  RS_WMZ	 EQU 'Z798041863268'

  ; Yandex.Money
  RS_YM 	 EQU '41001481909297'

; ------------------------------------------------------------------------------

  format PE DLL on 'STUB.BIN'
  entry zentry

  DEFINE _WIN64 FALSE
  DEFINE UNICODE FALSE

; ------------------------------------------------------------------------------

include 'skyDSuiteDVB.INC'

; ------------------------------------------------------------------------------

section '.coda' code data readable writeable executable

zentry: xor	eax, eax
	inc	eax
	retn	0x0C

include '.CODE.ASM'
include '.DATA.ASM'

; ------------------------------------------------------------------------------

section '.idata' import data readable writeable

; IMPORT LIBRARIES
library kernel32, 'KERNEL32.DLL',\
	ole32, 'OLE32.DLL',\
	msvcrt, 'MSVCRT.DLL'

; IMPORT KERNEL32.DLL
import	kernel32,\
	SetLastError, 'SetLastError',\
	ExitProcess, 'ExitProcess'

; IMPORT OLE32.DLL
import	ole32,\
	CoInitialize, 'CoInitialize',\
	CoInitializeEx, 'CoInitializeEx',\
	CoUninitialize, 'CoUninitialize',\
	CoCreateInstance, 'CoCreateInstance',\
	GetRunningObjectTable, 'GetRunningObjectTable',\
	CreateItemMoniker, 'CreateItemMoniker'

; IMPORT MSVCRT.DLL
import	msvcrt,\
	malloc, 'malloc',\
	calloc, 'calloc',\
	realloc, 'realloc',\
	free, 'free',\
	memset, 'memset',\
	memcpy, 'memcpy',\
	memmove, 'memmove',\
	strtol, 'strtol',\
	strtoul, 'strtoul'

; ------------------------------------------------------------------------------

section '.edata' export data readable

; EXPORT
export	'skyDSuiteDVB.DLL',\
	B2C2_Start, 'B2C2_Start',\
	B2C2_Stop, 'B2C2_Stop',\
	B2C2_SendDiSEqC, 'B2C2_SendDiSEqC',\
	B2C2_SendDiSEqCmd, 'B2C2_SendDiSEqCmd',\
	B2C2_SetChannel, 'B2C2_SetChannel',\
	B2C2_SetChannelEx, 'B2C2_SetChannelEx',\
	B2C2_SetFilter, 'B2C2_SetFilter',\
	B2C2_DelFilter, 'B2C2_DelFilter',\
	B2C2_GetStatus, 'B2C2_GetStatus',\
	B2C2_GetMAC, 'B2C2_GetMAC',\
	B2C2_GetUCMAC, 'B2C2_GetUCMAC',\
	B2C2_SetUCMAC, 'B2C2_SetUCMAC',\
	B2C2_GetMCMAC, 'B2C2_GetMCMAC',\
	B2C2_SetPIDs, 'B2C2_SetPIDs'

; ------------------------------------------------------------------------------

; macro SKIP_RESOURCE {
section '.rsrc' resource data readable

directory \
    RT_VERSION, r_version_info

resource r_version_info,\
    1, LANG_NEUTRAL, version_info

versioninfo version_info,\
    VOS__WINDOWS32, VFT_APP, VFT2_UNKNOWN, LANG_NEUTRAL, 0,\
    'FileDescription', RS_Description,\
    'FileVersion', RS_Version,\
    'CompanyName', RS_Company,\
    'LegalCopyright', RS_Copyright,\
    'Comments', RS_Email
; }

; ------------------------------------------------------------------------------

section '.reloc' fixups data discardable

; ------------------------------------------------------------------------------
